recover {methods} | R Documentation

## Browsing on an Error

### Description

This function allows the user to browse directly on any of the currently active function calls, and is suitable as an error option. The expression `options(error=recover)` will make this the error option.

### Usage

    recover()

### Details

When called, `recover` prints the list of current calls, and prompts the user to select one of them. The standard R `browser` is then invoked from the corresponding environment; the user can type ordinary S language expressions to be evaluated in that environment.

When finished browsing in this call, type `c` to return to `recover` from the browser. Type another frame number to browse some more, or type `0` to exit `recover`.

WARNING: Do not use the special `Q` command to go directly from the browser to the prompt level of the evaluator. This currently interacts with `recover` to effectively turn off the error option for the next error (on subsequent errors, `recover` will be called normally)

### Value

Nothing useful is returned. However, you can invoke `recover` directly from a function, rather than through the error option shown the usage section. In this case, execution continues after you type `0` to exit `recover`.

### Compatibility Note

The R `recover` function can be used in the same way as the S-Plus function of the same name; therefore, the error option shown is a compatible way to specify the error action. However, the actual functions are essentially unrelated and interact quite differently with the user.

### References

Programming with Data, (John M. Chambers, Springer, 1998). See the compatibility note above, however.

### See Also

See `dump.frames` and `debugger` for the more traditional approach to error recovery.

[Package Contents]